List Debit Memos
curl --request GET \
--url https://api.meetcampfire.com/coa/api/v1/debit-memo \
--header 'Authorization: <api-key>'import requests
url = "https://api.meetcampfire.com/coa/api/v1/debit-memo"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.meetcampfire.com/coa/api/v1/debit-memo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"count": 50,
"next": "http://api.example.com/debit-memos/?limit=20&offset=20",
"previous": null,
"results": [
{
"id": 343,
"lines": [
{
"id": 409,
"account_number": "6500",
"account_name": "6500 - Travel Expenses",
"department_name": "Customer Support",
"tags": [
{
"id": 8344,
"group_name": "Fund",
"parent_name": null,
"parent": null,
"name": "Fund 1",
"created_at": "2025-07-15T18:40:55+0000",
"last_modified_at": "2025-07-15T18:40:55+0000",
"group": 696
}
],
"description": "Debit Memo Line",
"amount": 1000.01,
"created_at": "2025-07-25T21:50:15+0000",
"last_modified_at": "2025-07-25T21:50:15+0000",
"account": 2613,
"department": 365
}
],
"payments": [],
"total_amount": 1000.01,
"amount_used": 0,
"amount_remaining": 1000.01,
"entity_name": "Top Level",
"entity_currency": "USD",
"vendor_name": "ABC Bead Supply",
"debit_account_name": "5230 - Cloud Credits",
"attachments": [],
"debit_memo_number": "DM-0000005",
"voided_date": null,
"ref_number": null,
"debit_memo_date": "2025-07-01",
"applied_date": null,
"message_on_debit_memo": "Debit Memo Message",
"application_status": "open",
"currency": "USD",
"exchange_rate": 1,
"exchange_rate_book": 1,
"created_at": "2025-07-25T21:50:15+0000",
"last_modified_at": "2025-07-25T21:50:15+0000",
"customer": 2,
"entity": 54,
"vendor": 34182,
"debit_account": 41905,
"journal_entry": 7491954,
"voided_journal_entry": null
}
]
}
]
}Accounts Payable
List Debit Memos
Retrieves a paginated list of accounting debit memos with filtering and sorting capabilities.
Supports filtering by date ranges, status, vendors, entities, and full-text search.
GET
/
coa
/
api
/
v1
/
debit-memo
List Debit Memos
Authorizations
Token-based authentication with required prefix "Token"
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
⌘I